Zydis: ZydisInstructionDefinitionEVEX_ Struct Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
ZydisInstructionDefinitionEVEX_ Struct Reference

Defines the `ZydisInstructionDefinitionEVEX` struct. More...

`#include <SharedData.h>`

## Public Member Functions
ZyanU8 vector_length | ZYAN_BITFIELD (ZYDIS_IVECTOR_LENGTH_REQUIRED_BITS)
ZyanU8 tuple_type | ZYAN_BITFIELD (ZYDIS_TUPLETYPE_REQUIRED_BITS)
ZyanU8 element_size | ZYAN_BITFIELD (ZYDIS_IELEMENT_SIZE_REQUIRED_BITS)
ZyanU8 functionality | ZYAN_BITFIELD (ZYDIS_EVEX_FUNC_REQUIRED_BITS)
ZyanU8 mask_policy | ZYAN_BITFIELD (ZYDIS_MASK_POLICY_REQUIRED_BITS)
ZyanBool accepts_zero_mask | ZYAN_BITFIELD (1)
ZyanU8 mask_override | ZYAN_BITFIELD (ZYDIS_MASK_OVERRIDE_REQUIRED_BITS)
ZyanU8 broadcast | ZYAN_BITFIELD (ZYDIS_EVEX_STATIC_BROADCAST_REQUIRED_BITS)

## Data Fields
| ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

## Detailed Description

Defines the `ZydisInstructionDefinitionEVEX` struct.

## Member Function Documentation

## ◆ ZYAN_BITFIELD() [1/8]

ZyanBool accepts_zero_mask ZYAN_BITFIELD | ( | 1 |  | ) |

## ◆ ZYAN_BITFIELD() [2/8]

ZyanU8 functionality ZYAN_BITFIELD | ( | ZYDIS_EVEX_FUNC_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [3/8]

ZyanU8 broadcast ZYAN_BITFIELD | ( | ZYDIS_EVEX_STATIC_BROADCAST_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [4/8]

ZyanU8 element_size ZYAN_BITFIELD | ( | ZYDIS_IELEMENT_SIZE_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [5/8]

ZyanU8 vector_length ZYAN_BITFIELD | ( | ZYDIS_IVECTOR_LENGTH_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [6/8]

ZyanU8 mask_override ZYAN_BITFIELD | ( | ZYDIS_MASK_OVERRIDE_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [7/8]

ZyanU8 mask_policy ZYAN_BITFIELD | ( | ZYDIS_MASK_POLICY_REQUIRED_BITS |  | ) |

## ◆ ZYAN_BITFIELD() [8/8]

ZyanU8 tuple_type ZYAN_BITFIELD | ( | ZYDIS_TUPLETYPE_REQUIRED_BITS |  | ) |

## Field Documentation

## ◆ ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

ZYDIS_INSTRUCTION_DEFINITION_BASE_VECTOR_INTEL

The documentation for this struct was generated from the following file:

- include/Zydis/Internal/SharedData.h